Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Interface FragmentIdentifierHandler

All Superinterfaces:
  PreserveAspectRatioHandler, TransformListHandler

All Known Implementing Classes:
  DefaultFragmentIdentifierHandler, ViewBox.ViewHandler

    public interface FragmentIdentifierHandler

extends PreserveAspectRatioHandler, TransformListHandler

This interface must be implemented and then registred as the handler of a `PreserveAspectRatioParser` instance in order to be notified of parsing events.

Method Summary
`void` | `endFragmentIdentifier()` Invoked when the fragment identifier ends.
`void` | `endViewTarget()` Invoked when a view target specification ends.
`void` | `idReference(String s)` Invoked when an ID has been parsed.
`void` | `startFragmentIdentifier()` Invoked when the fragment identifier starts.
`void` | `startViewTarget()` Invoked when a view target specification starts.
`void` | `viewBox(float x, float y, float width, float height)` Invoked when 'viewBox(x,y,width,height)' has been parsed.
`void` | `viewTarget(String name)` Invoked when a identifier has been parsed within a view target specification.
`void` | `zoomAndPan(boolean magnify)` Invoked when a 'zoomAndPan' specification has been parsed.

Methods inherited from interface org.apache.batik.parser.PreserveAspectRatioHandler
`endPreserveAspectRatio, meet, none, slice, startPreserveAspectRatio, xMaxYMax, xMaxYMid, xMaxYMin, xMidYMax, xMidYMid, xMidYMin, xMinYMax, xMinYMid, xMinYMin`

Methods inherited from interface org.apache.batik.parser.TransformListHandler
`endTransformList, matrix, rotate, rotate, scale, scale, skewX, skewY, startTransformList, translate, translate`

Method Detail

### startFragmentIdentifier

    void startFragmentIdentifier()
                                 throws ParseException

  Invoked when the fragment identifier starts.

  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### idReference

    void idReference(String s)
                     throws ParseException

  Invoked when an ID has been parsed.

  Parameters:
    `s` - The string that represents the parsed ID.
  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### viewBox

    void viewBox(float x,
                 float y,
                 float width,
                 float height)
                 throws ParseException

  Invoked when 'viewBox(x,y,width,height)' has been parsed.

  Parameters:
    `x` - x coordinate of the viewbox
    `y` - y coordinate of the viewbox
    `width` - width of the viewbox
    `height` - height of the viewbox
  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### startViewTarget

    void startViewTarget()
                         throws ParseException

  Invoked when a view target specification starts.

  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### viewTarget

    void viewTarget(String name)
                    throws ParseException

  Invoked when a identifier has been parsed within a view target specification.

  Parameters:
    `name` - the target name.
  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### endViewTarget

    void endViewTarget()
                       throws ParseException

  Invoked when a view target specification ends.

  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### zoomAndPan

    void zoomAndPan(boolean magnify)

  Invoked when a 'zoomAndPan' specification has been parsed.

  Parameters:
    `magnify` - true if 'magnify' has been parsed.
  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

### endFragmentIdentifier

    void endFragmentIdentifier()
                               throws ParseException

  Invoked when the fragment identifier ends.

  Throws:
    `ParseException` - if an error occured while processing the fragment identifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.